// gnome.xonotic.in.ua

models/mapobjects/jesus/jesuswall
{
	deformvertexes wave 100 sin 0 .2 0 .2
	cull none
	{
		map $lightmap
	}
	{
		map models/mapobjects/jesus/jesuswall.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen vertex
		alphagen lightingspecular
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_trim/pewter_spec
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/pewter_spec.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/watercaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/cpmctf1/banner1_b2
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/cpmctf1/banner1_b2.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/cpmctf1/banner1_b2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
}

textures/cpmctf1/banner1_r2
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/cpmctf1/banner1_r2.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/cpmctf1/banner1_r2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
}

textures/cpmctf1/banner2_b2
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/cpmctf1/banner2_b2.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/cpmctf1/banner2_b2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
}

textures/cpmctf1/banner2_r2
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/cpmctf1/banner2_r2.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/cpmctf1/banner2_r2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
}

textures/cpmctf1/sky2
{
	qer_editorimage textures/cpmctf1/mars.tga
	q3map_sunext 100 100 100 160 280 90 3 16
	q3map_lightmapfilterradius 0 64
	q3map_skylight 64 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms textures/cpmctf1/space 512 -
}

textures/cpmctf1/water
{
	qer_editorimage textures/cpmctf1/darkwater.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	q3map_surfacelight 20
	cull disable
	tesssize 64
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/cpmctf1/darkwater.tga
		rgbgen identity
		tcmod scale .5 .5
	}
	{
		map textures/liquids/pool3d_6c2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll -.02 .05
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_block/blocks11d
{
	{
		map textures/gothic_block/blocks11d.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale .1 .1
		detail
	}
}

textures/gothic_block/blocks17e
{
	{
		map textures/gothic_block/blocks17e.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale .1 .1
		detail
	}
}

textures/gothic_floor/largerblock3b3
{
	{
		map textures/gothic_floor/largerblock3b3.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 12 12
		detail
	}
}

textures/gothic_floor/largerblock3b3dim
{
	{
		map textures/gothic_floor/largerblock3b3dim.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 12 12
		detail
	}
}

textures/gothic_light/ironcrosslt1_2000
{
	qer_editorimage textures/gothic_light/ironcrosslt1.tga
	q3map_lightimage textures/gothic_light/ironcrosslt1.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.blend.tga
		blendfunc add
	}
}

textures/gothic_trim/pitted_rust3_black
{
	{
		map textures/evil3_metals/mtldrk0.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/liquids/protolava
{
	qer_editorimage textures/liquids/protolava.jpg
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lava
	deformvertexes wave 150.0 sin 2 5 0.25 0.1
	q3map_tesssize 128
	cull none
	{
		map textures/liquids/protolava.jpg
		blendfunc add
		rgbgen identity
	}
}

textures/sfx/demonltblackfinal
{
	q3map_lightimage textures/sfx/demonltblackfinal_glow2.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/demonltblackfinal.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/sfx/demonltblackfinal_glow2.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 5
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/largerblock3b3_pent
{
	qer_editorimage textures/sfx/largerblock3b3_pent.tga
	{
		map textures/sfx/largerblock3b3_pent.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/pentagramfloor_red_glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 .5
		depthfunc equal
	}
}

